List of all members
clan::ApplicationInstance< ApplicationClass > Class Template Reference
clanApp System

Helper class to create cross platform applications. More...

`#include <clanapp.h>`

Inheritance diagram for clan::ApplicationInstance< ApplicationClass >:

## Public Member Functions
Construction
| ApplicationInstance (bool catch_exceptions=true)
| Clan Application constructor. More...

## Detailed Description

### template<typename ApplicationClass>
class clan::ApplicationInstance< ApplicationClass >

Helper class to create cross platform applications.

To use this class, inherit from Application and make a single global instance of ApplicationInstance<YourClass>.

class MyApplication : public clan::Application
{
public:
bool update() override;
};
ApplicationInstance<MyApplication> clanapp;

If you do not want exceptions to be automatically caught, pass "false" to the optional catch_exceptions parameter in Application
Your program does not have to use this class. For more advanced usage use a normal main function for the target platform and interface with the RunLoop class in clanDisplay

## Constructor & Destructor Documentation

template<typename ApplicationClass >

clan::ApplicationInstance< ApplicationClass >::ApplicationInstance | ( | bool | catch_exceptions = `true` | ) |
| inline

Clan Application constructor.

The documentation for this class was generated from the following file:

- clanapp.h